package com.ejweb.modules.front.report.bean;

import com.ejweb.core.base.BaseBean;

import java.sql.Timestamp;
import java.util.List;

/**
 * Created by lenovo on 2017/9/8.
 */
public class FrontReportBean extends BaseBean{

    private String id;
    private String reportProject; //varchar(255) NOT NULL COMMENT '被举报项目',
    private String reportCity; //varchar(255) NOT NULL COMMENT '所在城市',
    private String reportTime; //varchar(20) NOT NULL COMMENT '举报时间',
    private String reportContent; //text NOT NULL COMMENT '举报内容',
    private String reportPersonName; //varchar(255) NOT NULL COMMENT '举报人姓名',
    private String reportPersonTel; //varchar(255) NOT NULL COMMENT '举报人电话',
    private String reportPersonEmail; //varchar(255) NOT NULL COMMENT '举报人邮箱',
    private String reportSource; //varchar(255) NOT NULL COMMENT '举报途径 web:官网 oa:融创OA系统 supplier:供应商系统 wechat:微信公众号 sunacE:融E offline:线下扫码 tel:电话 email:邮件 visit:来访',
    private String reportStatus; //varchar(1) DEFAULT NULL COMMENT '举报状态 0 未处理 1 处理中 2 已处理',
    private String supplementCompany; //varchar(255) DEFAULT NULL COMMENT '被举报公司',
    private String supplementDepartment; //varchar(255) DEFAULT NULL COMMENT '被举报部门',
    private String supplementInformant; //varchar(255) DEFAULT NULL COMMENT '被举报人',
    private String supplementTitle; //varchar(255) DEFAULT NULL COMMENT '标题',
    private String supplementType; //varchar(255) DEFAULT NULL COMMENT '业务类型 1 营销 2 工程 3 成本 4 招采 5人力 6物业 7投诉',
    private String supplementArea; //varchar(255) DEFAULT NULL COMMENT '被举报区域',
    private String supplementProject; //varchar(255) DEFAULT NULL COMMENT '被举报项目',
    private String supplementContent; //text,
    private String dealPersonName; //varchar(255) DEFAULT NULL COMMENT '处理人',
    private String dealResult; //varchar(255) DEFAULT NULL COMMENT '处理结论 1 投诉 2 举报无效 3 举报属实',
    private String exchangeBeforeUser; //varchar(255) DEFAULT NULL COMMENT '移交/转交前用户id',
    private String exchangeAfterUser; //varchar(255) DEFAULT NULL COMMENT '移交/转交后用户id（只记录最新的移交用户，此处不记录历史）',
    private String oaName;
    private String reportIp;    //记录ip地址
    private String ipCity;    //ip地址对应城市
    private String createBy;    //创建人
    private Timestamp createDate;    //创建时间
    private String updateBy;    //更新人\
    private Timestamp updateDate;    //更新时间
    private List<String> ids;
    private String code;// 验证码返回的code
    private String captcha;// 验证码
    private String participants; //参与人
    private String insider; //知情人
    private String suggestion; //调查建议
    private String reportDate; //事件时间
    private String site; //发生地点
    private String qq; //qq
    private String weixin; //微信号

    public String getParticipants() {
        return participants;
    }

    public void setParticipants(String participants) {
        this.participants = participants;
    }

    public String getInsider() {
        return insider;
    }

    public void setInsider(String insider) {
        this.insider = insider;
    }

    public String getSuggestion() {
        return suggestion;
    }

    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }

    public String getReportDate() {
        return reportDate;
    }

    public void setReportDate(String reportDate) {
        this.reportDate = reportDate;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getQq() {
        return qq;
    }

    public void setQq(String qq) {
        this.qq = qq;
    }

    public String getWeixin() {
        return weixin;
    }

    public void setWeixin(String weixin) {
        this.weixin = weixin;
    }

    private List<ReportAttachmentBean> reportAttachmentList; // 附件

    public String getReportProject() {
        return reportProject;
    }

    public void setReportProject(String reportProject) {
        this.reportProject = reportProject;
    }

    public String getReportCity() {
        return reportCity;
    }

    public void setReportCity(String reportCity) {
        this.reportCity = reportCity;
    }

    public String getReportTime() {
        return reportTime;
    }

    public void setReportTime(String reportTime) {
        this.reportTime = reportTime;
    }

    public String getReportContent() {
        return reportContent;
    }

    public void setReportContent(String reportContent) {
        this.reportContent = reportContent;
    }

    public String getReportPersonName() {
        return reportPersonName;
    }

    public void setReportPersonName(String reportPersonName) {
        this.reportPersonName = reportPersonName;
    }

    public String getReportPersonTel() {
        return reportPersonTel;
    }

    public void setReportPersonTel(String reportPersonTel) {
        this.reportPersonTel = reportPersonTel;
    }

    public String getReportPersonEmail() {
        return reportPersonEmail;
    }

    public void setReportPersonEmail(String reportPersonEmail) {
        this.reportPersonEmail = reportPersonEmail;
    }

    public String getReportSource() {
        return reportSource;
    }

    public void setReportSource(String reportSource) {
        this.reportSource = reportSource;
    }

    public String getReportStatus() {
        return reportStatus;
    }

    public void setReportStatus(String reportStatus) {
        this.reportStatus = reportStatus;
    }

    public String getSupplementCompany() {
        return supplementCompany;
    }

    public void setSupplementCompany(String supplementCompany) {
        this.supplementCompany = supplementCompany;
    }

    public String getSupplementDepartment() {
        return supplementDepartment;
    }

    public void setSupplementDepartment(String supplementDepartment) {
        this.supplementDepartment = supplementDepartment;
    }

    public String getSupplementInformant() {
        return supplementInformant;
    }

    public void setSupplementInformant(String supplementInformant) {
        this.supplementInformant = supplementInformant;
    }

    public String getSupplementTitle() {
        return supplementTitle;
    }

    public void setSupplementTitle(String supplementTitle) {
        this.supplementTitle = supplementTitle;
    }

    public String getSupplementType() {
        return supplementType;
    }

    public void setSupplementType(String supplementType) {
        this.supplementType = supplementType;
    }

    public String getSupplementArea() {
        return supplementArea;
    }

    public void setSupplementArea(String supplementArea) {
        this.supplementArea = supplementArea;
    }

    public String getSupplementProject() {
        return supplementProject;
    }

    public void setSupplementProject(String supplementProject) {
        this.supplementProject = supplementProject;
    }

    public String getSupplementContent() {
        return supplementContent;
    }

    public void setSupplementContent(String supplementContent) {
        this.supplementContent = supplementContent;
    }

    public String getDealPersonName() {
        return dealPersonName;
    }

    public void setDealPersonName(String dealPersonName) {
        this.dealPersonName = dealPersonName;
    }

    public String getDealResult() {
        return dealResult;
    }

    public void setDealResult(String dealResult) {
        this.dealResult = dealResult;
    }

    public String getExchangeBeforeUser() {
        return exchangeBeforeUser;
    }

    public void setExchangeBeforeUser(String exchangeBeforeUser) {
        this.exchangeBeforeUser = exchangeBeforeUser;
    }

    public String getExchangeAfterUser() {
        return exchangeAfterUser;
    }

    public void setExchangeAfterUser(String exchangeAfterUser) {
        this.exchangeAfterUser = exchangeAfterUser;
    }

    public List<ReportAttachmentBean> getReportAttachmentList() {
        return reportAttachmentList;
    }

    public void setReportAttachmentList(List<ReportAttachmentBean> reportAttachmentList) {
        this.reportAttachmentList = reportAttachmentList;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCaptcha() {
        return captcha;
    }

    public void setCaptcha(String captcha) {
        this.captcha = captcha;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Timestamp getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Timestamp getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Timestamp updateDate) {
        this.updateDate = updateDate;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public String getOaName() {
        return oaName;
    }

    public void setOaName(String oaName) {
        this.oaName = oaName;
    }

    public String getReportIp() {
        return reportIp;
    }

    public void setReportIp(String reportIp) {
        this.reportIp = reportIp;
    }

    public String getIpCity() {
        return ipCity;
    }

    public void setIpCity(String ipCity) {
        this.ipCity = ipCity;
    }
}
